datacache <- new.env(hash=TRUE, parent=emptyenv())

canine2cfentrezg <- function() showQCData("canine2cfentrezg", datacache)
canine2cfentrezg_dbconn <- function() dbconn(datacache)
canine2cfentrezg_dbfile <- function() dbfile(datacache)
canine2cfentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
canine2cfentrezg_dbInfo <- function() dbInfo(datacache)

canine2cfentrezgORGANISM <- "Canis familiaris"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "canine2cfentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("CANINECHIP_DB", "canine2cfentrezg", "chip canine2cfentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(canine2cfentrezg_dbconn())
}

